# schema_salad.tests.test_java_codegen

## Functions

`test_cwl_gen`(tmp_path) |
`test_meta_schema_gen`(tmp_path) |
`java_codegen`(file_uri, target[, examples]) |

## Module Contents

schema_salad.tests.test_java_codegen.test_cwl_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_java_codegen.test_meta_schema_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_java_codegen.java_codegen(file_uri, target, examples=None)
  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

    - examples (Optional[pathlib.Path])

  Return type:

    None